restic backup(1)

NAME

restic-mount - Mount the repository

SYNOPSIS

restic mount [flags] mountpoint

DESCRIPTION

The "mount" command mounts the repository via fuse to a directory. This is a read-only mount.

OPTIONS

--allow-other[=false]
    allow other users to access the data in the mounted directory

--allow-root[=false]
    allow root user to access the data in the mounted directory

-h, --help[=false]
    help for mount

-H, --host=""
    only consider snapshots for this host

--owner-root[=false]
    use 'root' as the owner of files and dirs

--path=[]
    only consider snapshots which include this (absolute) path

--tag=[]
    only consider snapshots which include this taglist

OPTIONS INHERITED FROM PARENT COMMANDS

--json[=false]
    set output mode to JSON for commands that support it

--no-lock[=false]
    do not lock the repo, this allows some operations on read-only repos

-o, --option=[]
    set extended option (key=value, can be specified multiple times)

-p, --password-file=""
    read the repository password from a file (default: $RESTIC_PASSWORD_FILE)

-q, --quiet[=false]
    do not output comprehensive progress report

-r, --repo=""
    repository to backup to or restore from (default: $RESTIC_REPOSITORY)

SEE ALSO

restic(1)